%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Serial terminal for the Gnome desktop
Name:		moserial
Version:	3.0.21
Release:	%mkrel 4
Group:		Communications/Serial
License:	GPLv3+
URL:		https://wiki.gnome.org/moserial/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
Requires:	hicolor-icon-theme
Requires:	yelp

%description
Moserial is a clean, friendly gtk-based serial terminal for the Gnome
desktop. It is written in Vala for extra goodness.

%prep
%autosetup

find -name *.c -delete
find -name moserial.vala.stamp -delete
chmod 0644 AUTHORS ChangeLog* NEWS COPYING README

%build
%configure
%make_build

%install
%make_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog ChangeLog.pre-git NEWS
%{_bindir}/moserial
%{_datadir}/applications/moserial.desktop
%{_metainfodir}/moserial.appdata.xml
%{_datadir}/icons/hicolor/*/apps/moserial.*
%{_mandir}/man1/moserial.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.0.21-4.mga10
+ Revision: 2229005
- Mageia 10 Mass Rebuild

* Thu Oct 17 2024 daviddavid <daviddavid> 3.0.21-3.mga10
+ Revision: 2107741
- fix build with GCC 14 removing pre-compiled '*.c' files

* Wed Mar 30 2022 umeabot <umeabot> 3.0.21-2.mga9
+ Revision: 1835686
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 ovitters <ovitters> 3.0.21-1.mga9
+ Revision: 1759385
- new version 3.0.21

* Sat Jul 31 2021 ovitters <ovitters> 3.0.20-1.mga9
+ Revision: 1738256
- new version 3.0.20

* Wed Mar 24 2021 ovitters <ovitters> 3.0.16-1.mga9
+ Revision: 1709247
- new version 3.0.16

* Sun Jan 31 2021 tmb <tmb> 3.0.15-1.mga8
+ Revision: 1674139
- fix filelist
+ ovitters <ovitters>
- new version 3.0.15
- new version 3.0.14
- new version 3.0.13

* Wed Apr 22 2020 ovitters <ovitters> 3.0.12-4.mga8
+ Revision: 1570811
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 3.0.12-3.mga8
+ Revision: 1515183
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.0.12-2.mga7
+ Revision: 1299598
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 ovitters <ovitters> 3.0.12-1.mga7
+ Revision: 1191533
- new version 3.0.12

* Sat Sep 16 2017 cjw <cjw> 3.0.11-2.mga7
+ Revision: 1154842
- rebuild for new find_lang

* Mon Mar 06 2017 ovitters <ovitters> 3.0.11-1.mga6
+ Revision: 1089083
- new version 3.0.11
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 ovitters <ovitters> 3.0.10-1.mga6
+ Revision: 903446
- new version 3.0.10

* Wed Oct 15 2014 umeabot <umeabot> 3.0.9-2.mga5
+ Revision: 749150
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 ovitters <ovitters> 3.0.9-1.mga5
+ Revision: 732596
- new version 3.0.9

* Tue Sep 16 2014 umeabot <umeabot> 3.0.8-5.mga5
+ Revision: 682598
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 3.0.8-4.mga4
+ Revision: 550191
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 3.0.8-3.mga4
+ Revision: 508021
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.8-2.mga3
+ Revision: 360278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 wally <wally> 3.0.8-1.mga3
+ Revision: 332852
- drop str fmt patch
- new version 3.0.8

* Wed Oct 03 2012 malo <malo> 3.0.7-2.mga3
+ Revision: 302509
- update RPM group

* Wed Jun 13 2012 ovitters <ovitters> 3.0.7-1.mga3
+ Revision: 260332
- new version 3.0.7

* Fri Mar 02 2012 ovitters <ovitters> 3.0.6-1.mga2
+ Revision: 216913
- new version 3.0.6

* Tue Jan 24 2012 wally <wally> 3.0.5-1.mga2
+ Revision: 200590
- new version 3.0.5

* Sat Jan 21 2012 fwang <fwang> 3.0.4-1.mga2
+ Revision: 199331
- new version 3.0.4

* Thu Jan 19 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 198040
- new version 3.0.3

* Wed Oct 05 2011 wally <wally> 3.0.2-1.mga2
+ Revision: 152040
- new version 3.0.2
- rediff str fmt patch

* Thu Sep 01 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 137693
- clean patch

* Thu Sep 01 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 137690
- imported package moserial

